## iem-plugin-suite 1.1.1

=== Makefile ===
default: all

# the buildsystem we are using
# possible values: LinuxMakefile XCode
uname := $(shell uname)

ifeq ($(findstring $(uname), Linux GNU GNU/kFreeBSD), $(uname))
  BUILDSYSTEM = LinuxMakefile
endif

ifeq ($(uname), Darwin)
  BUILDSYSTEM = XCode
endif

CONFIG = Release

system:
	@echo "uname : $(uname)"
	@echo "system: $(BUILDSYSTEM)"
	@echo "config: $(CONFIG)"

# list of projects
ALL_PROJECTS=$(patsubst %/, %, $(dir $(wildcard */*.jucer)))
PROJECTS=$(filter-out _PluginTemplate, $(ALL_PROJECTS))

# helper applications
PROJUCER=Projucer

# generic rules
.PHONY: distclean clean all

noop=
space=$(noop) $(noop)
vpath %.jucer $(subst $(space),:,$(ALL_PROJECTS))

all: $(PROJECTS:%=%-$(BUILDSYSTEM)-build)
clean: $(PROJECTS:%=%-$(BUILDSYSTEM)-clean)
distclean:
	rm -rf */Builds
# aliases
$(ALL_PROJECTS:%=%-build):
	make $(@:%-build=%)-$(BUILDSYSTEM)-build
$(ALL_PROJECTS:%=%-clean):
	make $(@:%-clean=%)-$(BUILDSYSTEM)-clean

# LinuxMakefile based rules
%-LinuxMakefile-build: %/Builds/LinuxMakefile/Makefile
	make -C $(<D) \
		CONFIG="$(CONFIG)" \
		all
%-LinuxMakefile-clean: %/Builds/LinuxMakefile/Makefile
	make -C $(<D) \
		CONFIG="$(CONFIG)" \
		clean

%/Builds/LinuxMakefile/Makefile: %.jucer
	$(PROJUCER) -resave "$^"

# XCode based rules
.SECONDEXPANSION:
%-XCode-build: $$(subst @,%,@/Builds/MacOSX/@.xcodeproj/project.pbxproj)
	xcodebuild \
		-project $(<D) \
		-target "$(firstword $(subst /, ,$<)) - All" \
		-configuration "$(CONFIG)" \
		build
%-XCode-clean: $$(subst @,%,@/Builds/MacOSX/@.xcodeproj/project.pbxproj)
	xcodebuild \
		-project $(<D) \
		-target "$(firstword $(subst /, ,$<)) - All" \
		-configuration "$(CONFIG)" \
		clean


# this does not declare a proper dependency,
# so Projucer will be called for each %-build
%.pbxproj:
	$(PROJUCER) -resave $(subst @,$(firstword $(subst /, ,$@)),@/@.jucer)

=== debian/changelog ===
iem-plugin-suite (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
    * Refreshed patches
  * Link against fftwf
    * B-D on libfftw3-dev
  * Prefix standalone applications with _iem-plugin-'
  * Dropped no-longer used manpage
  * Updated Vcs-* stanzas to salsa.d.o

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 23 Feb 2018 20:59:33 +0100

iem-plugin-suite (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
    * Refreshed patches
  * Fixed spelling errors
  * B-D on juce-modules-source>=5.2.1 required by BinauralDecoder
  * Included upstream README & ChangeLog
  * Updated maintainer email address
  * Refreshed d/copyright_hints
  * Fixed watch file

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 09 Feb 2018 21:26:37 +0100

iem-plugin-suite (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
    * Refreshed patches
  * Updated d/copyright
    * Refreshed d/copyright_hints
  * Fixed d/watch
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 10 Jan 2018 20:48:57 +0100

iem-plugin-suite (1.0.1-2) unstable; urgency=medium

  * Install ardour & carla symlinks
  * Use source package "juce" for Built-Using

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 25 Dec 2017 22:43:54 +0100

iem-plugin-suite (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #884872)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 24 Dec 2017 22:18:46 +0100

=== debian/control ===
Source: iem-plugin-suite
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends: debhelper (>= 11),
 dh-exec,
 juce-modules-source (>= 5.2.1~),
 libasound2-dev, libfreetype6-dev, libcurl4-gnutls-dev | libcurl-dev, libgl1-mesa-dev | libgl-dev, libx11-dev, libxext-dev, libxinerama-dev, libxrandr-dev, libwebkit2gtk-4.0-dev, libgtk-3-dev,
 juce-tools,
 libjack-dev,
 libflac-dev,
 libfftw3-dev,
 libvorbis-dev,
 libogg-dev,
 libjpeg-dev,
 libpng-dev,
 zlib1g-dev | libz-dev,
 xvfb, xauth,
Standards-Version: 4.1.3
Homepage: https://plugins.iem.at/
Vcs-Git: https://salsa.debian.org/multimedia-team/iem-plugin-suite.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/iem-plugin-suite

Package: iem-plugin-suite-vst
Architecture: any
Built-Using: ${juce:BuiltUsing}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: IEM's spatialization suite - VST plugins
 The IEM Plug-in Suite is an audio plugin suite created at the Institute of
 Electronic Music and Acoustics (Graz, Austria).
 It features Higher-Order Ambisonic plug-ins (up to 7th order), among them a
 number of state of the art encoders, directional compressors, directivity
 shapers, delay and reverb effects and analysis tools.
 .
 This package provides the VST2 plugins

Package: iem-plugin-suite-standalone
Architecture: any
Built-Using: ${juce:BuiltUsing}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: IEM's spatialization suite - standalone
 The IEM Plug-in Suite is an audio plugin suite created at the Institute of
 Electronic Music and Acoustics (Graz, Austria).
 It features Higher-Order Ambisonic plug-ins (up to 7th order), among them a
 number of state of the art encoders, directional compressors, directivity
 shapers, delay and reverb effects and analysis tools.
 .
 This package provides the plugins as standalone applications.

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export MAKEFLAGS = V=1 CONFIG=Release TARGET_ARCH=-DDEBIAN_BUILD=1

PCDEPS=jack flac vorbis vorbisenc vorbisfile ogg libjpeg libpng zlib fftw3f

# see ENVIRONMENT in dpkg-buildflags(1)
export DEB_CPPFLAGS_MAINT_APPEND  = -DJUCE_JACK=1
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic \
	$(shell pkg-config --cflags $(PCDEPS))
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed \
	$(shell pkg-config --libs $(PCDEPS))

JUCE_VERSION := $(shell dpkg-query --show --showformat='$${source:Version}' juce-modules-source)

%:
	dh $@


override_dh_install:
	for d in _man _vst _bin; do rm -rf $(CURDIR)/$$d; mkdir -p $(CURDIR)/$$d; done
	# install the VST plugins and the standalong applications
	find $(CURDIR) -mindepth 1 -maxdepth 2 -type f -name "*.jucer" \
		-exec $(CURDIR)/debian/install.sh {} +
	
	dh_install

	# create symlinks to the various VST search paths
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/lxvst/ $(CURDIR)/debian/tmp/usr/lib/vst/
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/lxvst/ $(CURDIR)/debian/tmp/usr/lib/vst/
	## ardour
	ln -s /usr/lib/$(DEB_HOST_MULTIARCH)/iem-plugin-suite/vst $(CURDIR)/debian/tmp/usr/lib/lxvst/iem.at
	## carla
	ln -s /usr/lib/$(DEB_HOST_MULTIARCH)/iem-plugin-suite/vst $(CURDIR)/debian/tmp/usr/lib/vst/iem.at

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.md


override_dh_gencontrol:
	dh_gencontrol -- \
                -Vjuce:BuiltUsing="juce ( = $(JUCE_VERSION) )"


override_dh_auto_clean:
	rm -rf $(patsubst %/, %/JuceLibraryCode, $(dir $(wildcard */*.jucer)))
	rm -rf $(patsubst %/, %/Builds, $(dir $(wildcard */*.jucer)))
	rm -rf _man _vst _bin

licensecheck:
	licensecheck --deb-machine -r * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# Run the "uscan" command to check for upstream uaudiopluginsates and more.
version=3
opts=filenamemangle=s/.*\/repository\/v?([^\/]*)\/archive(@ARCHIVE_EXT@)/@PACKAGE@_$1$2/g \
  https://git.iem.at/audioplugins/IEMPluginSuite/tags .*/repository/v?@ANY_VERSION@/archive@ARCHIVE_EXT@

## iem-plugin-suite 1.6.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,23 @@
 default: all
+
+# list of projects
+ALL_PROJECTS=$(patsubst %/, %, $(dir $(wildcard */*.jucer)))
+PROJECTS=$(filter-out _PluginTemplate, $(ALL_PROJECTS))
+
+# what do we want to build: Standalone, VST; all
+## currently this has only an effect on the Linux buildsystem
+TARGET=all
+
+# select configuration: Release or Debug
+CONFIG = Release
+
+# helper applications
+PROJUCER=Projucer
+
+
+# how many parallel builds we want
+#PARALLEL = 1
+PARALLEL =
 
 # the buildsystem we are using
 # possible values: LinuxMakefile XCode
@@ -8,23 +27,75 @@
   BUILDSYSTEM = LinuxMakefile
 endif
 
+ifeq ($(findstring MSYS, $(uname)), MSYS)
+  BUILDSYSTEM = VS2017
+endif
+
 ifeq ($(uname), Darwin)
   BUILDSYSTEM = XCode
 endif
 
-CONFIG = Release
 
+# generic buildflags
+buildflags =
+
+ifeq ($(BUILDSYSTEM), VS2017)
+  WINBITS = $(BITS)
+  ifeq ($(WINBITS), )
+    WINBITS = 64
+  endif
+  WINTARGET = Release $(WINBITS)bit
+  WINPLATFORM = x64
+  ifeq ($(CONFIG)$(WINBITS), Release32)
+    WINPLATFORM = win32
+  endif
+  ifeq ($(CONFIG), Debug)
+    WINPLATFORM = x64
+    WINTARGET = Debug
+  endif
+  buildflags += -nologo
+endif
+
+# if no CPU is requested, use the defaults
+numcpus = $(strip $(PARALLEL))
+ifeq ($(strip $(numcpus)),)
+  numcpus = 0
+endif
+ifeq ($(strip $(numcpus)), 0)
+  numcpus = <default>
+  ifeq ($(BUILDSYSTEM), VS2017)
+    buildflags += -maxcpucount
+  endif
+else
+  ifeq ($(BUILDSYSTEM), LinuxMakefile)
+    buildflags += -j$(numcpus)
+  endif
+  ifeq ($(BUILDSYSTEM), VS2017)
+    buildflags += -maxcpucount:$(numcpus)
+  endif
+  ifeq ($(BUILDSYSTEM), XCode)
+    buildflags += -IDEBuildOperationMaxNumberOfConcurrentCompileTasks=$(numcpus)
+  endif
+endif
+
+.PHONY: system
 system:
 	@echo "uname : $(uname)"
 	@echo "system: $(BUILDSYSTEM)"
 	@echo "config: $(CONFIG)"
+ifeq ($(BUILDSYSTEM), VS2017)
+	@echo "VS2017: $(WINTARGET) | $(WINPLATFORM)"
+endif
+ifneq ($(numcpus),)
+	@echo "CPUs  : $(numcpus)"
+endif
+ifneq ($(strip $(buildflags)),)
+	@echo "xflags: $(buildflags)"
+endif
 
-# list of projects
-ALL_PROJECTS=$(patsubst %/, %, $(dir $(wildcard */*.jucer)))
-PROJECTS=$(filter-out _PluginTemplate, $(ALL_PROJECTS))
-
-# helper applications
-PROJUCER=Projucer
+.PHONY: showprojects
+showprojects:
+	@echo $(PROJECTS)
 
 # generic rules
 .PHONY: distclean clean all
@@ -45,21 +116,21 @@
 
 # LinuxMakefile based rules
 %-LinuxMakefile-build: %/Builds/LinuxMakefile/Makefile
-	make -C $(<D) \
+	make $(buildflags) \
+		-C $(<D) \
 		CONFIG="$(CONFIG)" \
-		all
+		$(TARGET)
 %-LinuxMakefile-clean: %/Builds/LinuxMakefile/Makefile
 	make -C $(<D) \
 		CONFIG="$(CONFIG)" \
 		clean
-
 %/Builds/LinuxMakefile/Makefile: %.jucer
 	$(PROJUCER) -resave "$^"
 
 # XCode based rules
 .SECONDEXPANSION:
 %-XCode-build: $$(subst @,%,@/Builds/MacOSX/@.xcodeproj/project.pbxproj)
-	xcodebuild \
+	xcodebuild $(buildflags) \
 		-project $(<D) \
 		-target "$(firstword $(subst /, ,$<)) - All" \
 		-configuration "$(CONFIG)" \
@@ -70,9 +141,25 @@
 		-target "$(firstword $(subst /, ,$<)) - All" \
 		-configuration "$(CONFIG)" \
 		clean
-
-
 # this does not declare a proper dependency,
 # so Projucer will be called for each %-build
 %.pbxproj:
 	$(PROJUCER) -resave $(subst @,$(firstword $(subst /, ,$@)),@/@.jucer)
+
+
+# VS2017 based rules
+# TODO: find out how to pass CONFIG and TARGET
+%-VS2017-build: $$(subst @,%,@/Builds/VisualStudio2017/@.sln)
+	MSBuild.exe $(buildflags) \
+		-p:Configuration="$(WINTARGET)",Platform=$(WINPLATFORM) \
+		$<
+%-VS2017-clean: $$(subst @,%,@/Builds/VisualStudio2017/@.sln)
+	MSBuild.exe \
+		-p:Configuration="$(WINTARGET)",Platform=$(WINPLATFORM) \
+		-t:Clean \
+		$<
+# this does not declare a proper dependency,
+# so Projucer will be called for each %-build
+%.sln:
+	$(PROJUCER) -resave $(subst @,$(firstword $(subst /, ,$@)),@/@.jucer)
+

=== debian/changelog ===
iem-plugin-suite (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Refreshed d/copyright_hints
  * Bumped standards version to 4.1.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Jul 2018 14:04:47 +0200

iem-plugin-suite (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0

  * Dropped B-D on libgtk-3-dev
  * Dropped fakeX patch
    * Run entire build through xvfb-run

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 24 Jun 2018 17:10:52 +0200

iem-plugin-suite (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
    * Dropped patches applied upstream.
    * Refreshed patches
  * Dropped dependencies on flac/ogg/vorbis and libwebkit2gtk

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 17 May 2018 22:22:18 +0200

iem-plugin-suite (1.3.0-2) unstable; urgency=medium

  * Fixed FTBS on armel/mips/... by linking with libatomic
  * Make sure that standalones get sorted correctly in the manpage

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 16 May 2018 11:30:55 +0200

iem-plugin-suite (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0 (Closes: #886430)
    * Dropped patches applied upstream
    * Refreshed patches
  * Patch to fix (new) spelling errors
  * Bumped versioned Depends on juce-modules-source (>=5.3.2)
  * Updated d/watch
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 14 May 2018 12:55:37 +0200

iem-plugin-suite (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
    * Backported upstream fixes for missing includes
    * Fix spelling error
  * Updated d/copyright(_hints)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Apr 2018 15:03:20 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,16 @@
 Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends: debhelper (>= 11),
  dh-exec,
- juce-modules-source (>= 5.2.1~),
- libasound2-dev, libfreetype6-dev, libcurl4-gnutls-dev | libcurl-dev, libgl1-mesa-dev | libgl-dev, libx11-dev, libxext-dev, libxinerama-dev, libxrandr-dev, libwebkit2gtk-4.0-dev, libgtk-3-dev,
+ juce-modules-source (>= 5.3.2~),
+ libasound2-dev, libfreetype6-dev, libcurl4-gnutls-dev | libcurl-dev, libgl1-mesa-dev | libgl-dev, libx11-dev, libxext-dev, libxinerama-dev, libxrandr-dev,
  juce-tools,
  libjack-dev,
- libflac-dev,
  libfftw3-dev,
- libvorbis-dev,
- libogg-dev,
  libjpeg-dev,
  libpng-dev,
  zlib1g-dev | libz-dev,
  xvfb, xauth,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://plugins.iem.at/
 Vcs-Git: https://salsa.debian.org/multimedia-team/iem-plugin-suite.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/iem-plugin-suite

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,16 @@
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+
+# iem-plugin-suite uses some c++11 features requiring atomic_store_8 and
+# atomic_load_8, so we need to link with libatomic on
+# armel, powerpc, powerpcspe, m68k, mips, mipsel, and sh4
+# see also:
+# - https://gcc.gnu.org/wiki/Atomic
+# - https://gcc.gnu.org/wiki/Atomic/GCCMM/LIbrary
+# - the 'clasp' packaging
+noatomicarch = $(shell dpkg-architecture -qDEB_HOST_ARCH | egrep -x "(armel|powerpc|powerpcspe|m68k|mips|mipsel|sh4)")
 
 export MAKEFLAGS = V=1 CONFIG=Release TARGET_ARCH=-DDEBIAN_BUILD=1
 
@@ -18,17 +28,24 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed \
 	$(shell pkg-config --libs $(PCDEPS))
 
+# link with libatomic on architectures without built-in atomic
+ifeq ($(if $(noatomicarch),atomic), atomic)
+	DEB_LDFLAGS_MAINT_APPEND += -latomic
+endif
+
 JUCE_VERSION := $(shell dpkg-query --show --showformat='$${source:Version}' juce-modules-source)
 
 %:
 	dh $@
 
-
+override_dh_auto_build:
+	xvfb-run -a dh_auto_build
 override_dh_install:
 	for d in _man _vst _bin; do rm -rf $(CURDIR)/$$d; mkdir -p $(CURDIR)/$$d; done
 	# install the VST plugins and the standalong applications
-	find $(CURDIR) -mindepth 1 -maxdepth 2 -type f -name "*.jucer" \
-		-exec $(CURDIR)/debian/install.sh {} +
+	find $(CURDIR) -mindepth 1 -maxdepth 2 -type f -name "*.jucer" -not -name "_*" -not -name "*/_*" -print0 \
+		| LC_COLLATED=C sort -z \
+		| xargs -r0 $(CURDIR)/debian/install.sh
 	
 	dh_install

## iem-plugin-suite 1.9.0

=== Makefile ===
--- 
+++ 
@@ -125,7 +125,7 @@
 		CONFIG="$(CONFIG)" \
 		clean
 %/Builds/LinuxMakefile/Makefile: %.jucer
-	$(PROJUCER) -resave "$^"
+	$(PROJUCER) --resave "$^"
 
 # XCode based rules
 .SECONDEXPANSION:
@@ -144,7 +144,7 @@
 # this does not declare a proper dependency,
 # so Projucer will be called for each %-build
 %.pbxproj:
-	$(PROJUCER) -resave $(subst @,$(firstword $(subst /, ,$@)),@/@.jucer)
+	$(PROJUCER) --resave $(subst @,$(firstword $(subst /, ,$@)),@/@.jucer)
 
 
 # VS2017 based rules
@@ -161,5 +161,5 @@
 # this does not declare a proper dependency,
 # so Projucer will be called for each %-build
 %.sln:
-	$(PROJUCER) -resave $(subst @,$(firstword $(subst /, ,$@)),@/@.jucer)
+	$(PROJUCER) --resave $(subst @,$(firstword $(subst /, ,$@)),@/@.jucer)

=== debian/changelog ===
iem-plugin-suite (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
    * Drop patches applied upstream
    * Require JUCE>=5.4 for building
  * Provide symlinks to standard locations of VST-plugins
  * Bumped standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 10 Jan 2019 21:54:46 +0100

iem-plugin-suite (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1
    * Backported patch to properly resave JUCE projects
  * Set iem-plugin-suite-vst to "Multi-Arch: same"

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 06 Dec 2018 15:21:18 +0100

iem-plugin-suite (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
  * Declare that the package can be built without "root" privilieges

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 26 Oct 2018 21:30:27 +0200

iem-plugin-suite (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 28 Sep 2018 18:38:42 +0200

iem-plugin-suite (1.6.0-2) unstable; urgency=medium

  * Disallow parallel builds (hopefully fixing FTBFS)
  * Bumped standards to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 03 Sep 2018 21:25:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends: debhelper (>= 11),
  dh-exec,
- juce-modules-source (>= 5.3.2~),
+ juce-modules-source (>= 5.4.0~),
  libasound2-dev, libfreetype6-dev, libcurl4-gnutls-dev | libcurl-dev, libgl1-mesa-dev | libgl-dev, libx11-dev, libxext-dev, libxinerama-dev, libxrandr-dev,
  juce-tools,
  libjack-dev,
@@ -14,7 +14,8 @@
  libpng-dev,
  zlib1g-dev | libz-dev,
  xvfb, xauth,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
 Homepage: https://plugins.iem.at/
 Vcs-Git: https://salsa.debian.org/multimedia-team/iem-plugin-suite.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/iem-plugin-suite
@@ -22,6 +23,7 @@
 Package: iem-plugin-suite-vst
 Architecture: any
 Built-Using: ${juce:BuiltUsing}
+Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},

## iem-plugin-suite 1.11.0

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,8 @@
 # how many parallel builds we want
 #PARALLEL = 1
 PARALLEL =
+
+remove_intermediates = no
 
 # the buildsystem we are using
 # possible values: LinuxMakefile XCode
@@ -120,6 +122,9 @@
 		-C $(<D) \
 		CONFIG="$(CONFIG)" \
 		$(TARGET)
+ifeq ($(remove_intermediates), yes)
+	rm -rf $(<D)/build/intermediate/
+endif
 %-LinuxMakefile-clean: %/Builds/LinuxMakefile/Makefile
 	make -C $(<D) \
 		CONFIG="$(CONFIG)" \
@@ -135,6 +140,7 @@
 		-target "$(firstword $(subst /, ,$<)) - All" \
 		-configuration "$(CONFIG)" \
 		build
+	find $(<D)/../
 %-XCode-clean: $$(subst @,%,@/Builds/MacOSX/@.xcodeproj/project.pbxproj)
 	xcodebuild \
 		-project $(<D) \
@@ -153,6 +159,7 @@
 	MSBuild.exe $(buildflags) \
 		-p:Configuration="$(WINTARGET)",Platform=$(WINPLATFORM) \
 		$<
+	find $(<D)/
 %-VS2017-clean: $$(subst @,%,@/Builds/VisualStudio2017/@.sln)
 	MSBuild.exe \
 		-p:Configuration="$(WINTARGET)",Platform=$(WINPLATFORM) \

=== debian/changelog ===
iem-plugin-suite (1.11.0-2) unstable; urgency=medium

  * Cherrypick upstream's fix for (not) using SIMDRegister on non-amd64
    * Fixes FTBFS on non-amd64 architectures

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Dec 2019 13:33:37 +0100

iem-plugin-suite (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0
    (Closes: #925716)

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Remove Multi-Arch:same for iem-plugin-suite-vst
  * Update d/copyright
    * Regenerate d/copyright

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 11 Dec 2019 16:10:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
  dh-exec,
  juce-modules-source (>= 5.4.0~),
  libasound2-dev, libfreetype6-dev, libcurl4-gnutls-dev | libcurl-dev, libgl1-mesa-dev | libgl-dev, libx11-dev, libxext-dev, libxinerama-dev, libxrandr-dev,
@@ -14,7 +14,7 @@
  libpng-dev,
  zlib1g-dev | libz-dev,
  xvfb, xauth,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://plugins.iem.at/
 Vcs-Git: https://salsa.debian.org/multimedia-team/iem-plugin-suite.git
@@ -23,7 +23,6 @@
 Package: iem-plugin-suite-vst
 Architecture: any
 Built-Using: ${juce:BuiltUsing}
-Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	dh $@
 
 override_dh_auto_build:
-	xvfb-run -a dh_auto_build
+	xvfb-run -a dh_auto_build --no-parallel
 override_dh_install:
 	for d in _man _vst _bin; do rm -rf $(CURDIR)/$$d; mkdir -p $(CURDIR)/$$d; done
 	# install the VST plugins and the standalong applications

## iem-plugin-suite 1.11.1

=== debian/changelog ===
iem-plugin-suite (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1 (Closes: #952048)
    * Drop patches applied upstream
  * Fix dependencies
    * Tighten versioned B-D on "juce-modules-source" to >5.4.5
    * Tighten versioned B-D on "juce-tools" to >5.4.4
    * Specifying common library is no longer needed
  * Update d/copyright
    * Regenerate d/copyright_hints
  * Add salsa-ci configuration
  * Bump dh-compat to 12
  * Declare compliance with standards version 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Apr 2020 15:05:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
  dh-exec,
- juce-modules-source (>= 5.4.0~),
+ juce-modules-source (>= 5.4.5~),
  libasound2-dev, libfreetype6-dev, libcurl4-gnutls-dev | libcurl-dev, libgl1-mesa-dev | libgl-dev, libx11-dev, libxext-dev, libxinerama-dev, libxrandr-dev,
- juce-tools,
+ juce-tools (>= 5.4.4~),
  libjack-dev,
  libfftw3-dev,
  libjpeg-dev,
  libpng-dev,
  zlib1g-dev | libz-dev,
  xvfb, xauth,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://plugins.iem.at/
 Vcs-Git: https://salsa.debian.org/multimedia-team/iem-plugin-suite.git

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 export MAKEFLAGS = V=1 CONFIG=Release TARGET_ARCH=-DDEBIAN_BUILD=1
 
-PCDEPS=jack flac vorbis vorbisenc vorbisfile ogg libjpeg libpng zlib fftw3f
+PCDEPS=fftw3f
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 export DEB_CPPFLAGS_MAINT_APPEND  = -DJUCE_JACK=1
